<?php get_header(); ?>

<div id="content" >

<?php if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); ?>

<div class="post" id="post-<?php the_ID(); ?>">
<div class="title">
	<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Ссылка на <?php the_title(); ?>"><?php the_title(); ?></a></h2>
	<div class="titlemeta">
		<span class="author"> Автор <?php the_author(); ?></span> 
		<span class="clock">Опубликовал в <?php the_time('F - j - Y'); ?></span> 
	</div>	
<div class="clear"></div>
</div>

<div class="cover">
<div class="entry">
<?php the_content('Читать далее &raquo;'); ?>
<?php include (TEMPLATEPATH . '/ad1.php'); ?>
<div class="clear"></div>
<?php wp_link_pages(array('after' => '<p><strong>Страницы: </strong> ', 'before' => '</p>', 'next_or_number' => 'number')); ?>
</div>
</div>

</div>

<?php if ( get_the_author_meta( 'description' ) ) : // If a user has filled out their description, show a bio on their entries  ?>
					<div id="entry-author-info" class="inshadow">
						<div id="author-avatar">
							<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'twentyten_author_bio_avatar_size', 60 ) ); ?>
						</div><!-- #author-avatar -->
						<div id="author-description">
							<h3><?php printf( esc_attr__( 'О %s'), get_the_author() ); ?></h3>
							<?php the_author_meta( 'description' ); ?>
							
					
							</div><!-- #author-description -->
					<div id="catbox">
					<h3>Категории</h3>
					<?php the_category(''); ?>
					</div>
					<div class="clear"></div>
					</div><!-- #entry-author-info -->
<?php endif; ?>

<?php comments_template(); ?>
<?php endwhile; else: ?>

		<h1 class="title">Не найдено</h1>
		<p>Извините,но по Вашему запросу ничего не найдено.</p>

<?php endif; ?>
</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>